<?php

class Module extends ModuleCore
{
    protected static function _isTemplateOverloadedStatic($module_name, $template)
    {
        require_once(dirname(__FILE__).'../../../../modules/designerpreview/defines.inc.php');
        $theme_dir = getThemeDir();
        if (Tools::file_exists_cache($theme_dir.'modules/'.$module_name.'/'.$template))
            return $theme_dir.'modules/'.$module_name.'/'.$template;
        elseif (Tools::file_exists_cache($theme_dir.'modules/'.$module_name.'/views/templates/hook/'.$template))
            return $theme_dir.'modules/'.$module_name.'/views/templates/hook/'.$template;
        elseif (Tools::file_exists_cache($theme_dir.'modules/'.$module_name.'/views/templates/front/'.$template))
            return $theme_dir.'modules/'.$module_name.'/views/templates/front/'.$template;
        elseif (Tools::file_exists_cache(_PS_MODULE_DIR_.$module_name.'/views/templates/hook/'.$template))
            return false;
        elseif (Tools::file_exists_cache(_PS_MODULE_DIR_.$module_name.'/views/templates/front/'.$template))
            return false;
        elseif (Tools::file_exists_cache(_PS_MODULE_DIR_.$module_name.'/'.$template))
            return false;
        return null;
    }

    protected function _getApplicableTemplateDir($template)
    {
        require_once(dirname(__FILE__).'../../../../modules/designerpreview/defines.inc.php');
        return $this->_isTemplateOverloaded($template) ? getThemeDir() : _PS_MODULE_DIR_.$this->name.'/';
    }

    public function isCached($template, $cacheId = null, $compileId = null)
    {
        require_once(dirname(__FILE__).'../../../../modules/designerpreview/defines.inc.php');
        // turn off cache for PS base theme & preview - troubles with include files, capture, assign smarty variables in php
        //if (isPreviewTheme())
            return false;
        return parent::isCached($template, $cacheId, $compileId);
    }

    public function display($file, $template, $cacheId = null, $compileId = null)
    {
        require_once(dirname(__FILE__).'../../../../modules/designerpreview/defines.inc.php');
        // turn off cache for PS base theme & preview - troubles with include files, capture, assign smarty variables in php
        //if (isPreviewTheme())
            $cacheId = null;
        return parent::display($file, $template, $cacheId, $compileId);
    }
}